r9579 - in trunk/BOOK: . bootscripts/lfs/init.d chapter01

bdubbs at linuxfromscratch.org bdubbs at linuxfromscratch.org
Wed Aug 3 05:56:13 PDT 2011


Author: bdubbs
Date: 2011-08-03 06:56:07 -0600 (Wed, 03 Aug 2011)
New Revision: 9579

Modified:
   trunk/BOOK/bootscripts/lfs/init.d/functions
   trunk/BOOK/bootscripts/lfs/init.d/sysklogd
   trunk/BOOK/chapter01/changelog.xml
   trunk/BOOK/general.ent
   trunk/BOOK/packages.ent
Log:
Minor corrections to bootscripts

Modified: trunk/BOOK/bootscripts/lfs/init.d/functions
===================================================================
--- trunk/BOOK/bootscripts/lfs/init.d/functions	2011-08-03 07:13:06 UTC (rev 9578)
+++ trunk/BOOK/bootscripts/lfs/init.d/functions	2011-08-03 12:56:07 UTC (rev 9579)
@@ -123,6 +123,7 @@
    ${ECHO} ${ECHOPARM} -e "${2}${1}"
 
    # Log the message 
+   [ -d /run/var ] || return
    ${ECHO} ${ECHOPARM} -e "${2}${1}" >> /run/var/bootlog
 }
 
@@ -138,6 +139,7 @@
    ${ECHO} -e "${NORMAL}"
    boot_mesg_flush
 
+   [ -d /run/var ] || return
    ${ECHO} -e "[ OK ]" >> /run/var/bootlog
 }
 
@@ -147,6 +149,7 @@
    ${ECHO} -e "${NORMAL}"
     boot_mesg_flush
 
+   [ -d /run/var ] || return
    ${ECHO} -e "[ FAIL]"  >> /run/var/bootlog
 }
 
@@ -156,6 +159,7 @@
    ${ECHO} -e "${NORMAL}"
    boot_mesg_flush
 
+   [ -d /run/var ] || return
    ${ECHO} -e "[ WARN ]"  >> /run/var/bootlog
 }
 
@@ -165,6 +169,7 @@
    ${ECHO} -e "${NORMAL}"
    boot_mesg_flush
 
+   [ -d /run/var ] || return
    ${ECHO} -e "  [ SKIP ]" >> /run/var/bootlog
 }
 
@@ -714,6 +719,7 @@
    ${ECHO} -n -e "${BOOTMESG_PREFIX}${@}"
    ${ECHO} -e "${SET_COL}""${BRACKET}""[""${SUCCESS}""  OK  ""${BRACKET}""]""${NORMAL}"
 
+   [ -d /run/var ] || return 0
    ${ECHO} -n -e "${@}  [ OK ]"  >> /run/var/bootlog
    return 0
 }
@@ -736,6 +742,7 @@
    ${ECHO} -n -e "${BOOTMESG_PREFIX}${@}"
    ${ECHO} -e "${SET_COL}""${BRACKET}""[""${FAILURE}"" FAIL ""${BRACKET}""]""${NORMAL}"
 
+   [ -d /run/var ] || return 0
    ${ECHO} -e "${@}  [ FAIL ]" >> /run/var/bootlog
    return 0
 }
@@ -758,6 +765,7 @@
    ${ECHO} -n -e "${BOOTMESG_PREFIX}${@}"
    ${ECHO} -e "${SET_COL}""${BRACKET}""[""${WARNING}"" WARN ""${BRACKET}""]""${NORMAL}"
 
+   [ -d /run/var ] || return 0
    ${ECHO} -e "${@}  [ WARN ]" >> /run/var/bootlog
    return 0
 }
@@ -780,6 +788,7 @@
    ${ECHO} -n -e "${BOOTMESG_PREFIX}${@}"
    ${ECHO} -e "${SET_COL}""${BRACKET}""[""${WARNING}"" SKIP ""${BRACKET}""]""${NORMAL}"
 
+   [ -d /run/var ] || return 0
    ${ECHO} -e "${@}  [ SKIP ]" >> /run/var/bootlog
    return 0
 }

Modified: trunk/BOOK/bootscripts/lfs/init.d/sysklogd
===================================================================
--- trunk/BOOK/bootscripts/lfs/init.d/sysklogd	2011-08-03 07:13:06 UTC (rev 9578)
+++ trunk/BOOK/bootscripts/lfs/init.d/sysklogd	2011-08-03 12:56:07 UTC (rev 9579)
@@ -30,7 +30,7 @@
 case "${1}" in
    start)
       boot_mesg "Starting system log daemon..."
-      PARMS=${SYSKLOGD_PARMS=-'-m 0'}
+      PARMS=${SYSKLOGD_PARMS-'-m 0'}
       loadproc syslogd $PARMS
 
       boot_mesg "Starting kernel log daemon..."

Modified: trunk/BOOK/chapter01/changelog.xml
===================================================================
--- trunk/BOOK/chapter01/changelog.xml	2011-08-03 07:13:06 UTC (rev 9578)
+++ trunk/BOOK/chapter01/changelog.xml	2011-08-03 12:56:07 UTC (rev 9579)
@@ -37,6 +37,15 @@
 
 -->
     <listitem>
+      <para>2011-08-03</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Minor corrections to bootscripts.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2011-08-02</para>
       <itemizedlist>
         <listitem>

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2011-08-03 07:13:06 UTC (rev 9578)
+++ trunk/BOOK/general.ent	2011-08-03 12:56:07 UTC (rev 9579)
@@ -1,5 +1,5 @@
-<!ENTITY version "SVN-20110802">
-<!ENTITY releasedate "Aug 2, 2011">
+<!ENTITY version "SVN-20110803">
+<!ENTITY releasedate "Aug 3, 2011">
 <!ENTITY copyrightdate "1999-2011"><!-- jhalfs needs a literal dash, not – -->
 <!ENTITY milestone "7.0">
 <!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->

Modified: trunk/BOOK/packages.ent
===================================================================
--- trunk/BOOK/packages.ent	2011-08-03 07:13:06 UTC (rev 9578)
+++ trunk/BOOK/packages.ent	2011-08-03 12:56:07 UTC (rev 9579)
@@ -297,7 +297,7 @@
 <!ENTITY less-ch6-du "3.5 MB">
 <!ENTITY less-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20110802">                 <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20110803">                 <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">         <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
 <!ENTITY lfs-bootscripts-md5 "BOOTSCRIPTS-MD5SUM">           <!-- Updated in Makefile -->




More information about the lfs-book mailing list